<?php
namespace app\cms\controller;

use app\common\controller\Front;

class Page extends Front
{

    public function _initialize()
    {
        parent::_initialize();
    }
    
    //首页
    public function index()
    {
        return $this->fetch();
    }
    
    //分类
    public function types()
    {
        $info = [];
        $info['seoTitle']       = cmsSeo(config('cms.category_title'));
        $info['seoKeywords']    = cmsSeo(config('cms.category_keywords'));
        $info['seoDescription'] = cmsSeo(config('cms.category_description'));
        $this->assign($info);
        return $this->fetch();
    }
    
    //标签
    public function tags()
    {
        $info = [];
        $info['seoTitle']       = cmsSeo(config('cms.tag_title'),$this->site['page']);
        $info['seoKeywords']    = cmsSeo(config('cms.tag_keywords'),$this->site['page']);
        $info['seoDescription'] = cmsSeo(config('cms.tag_description'),$this->site['page']);
        $info['pagePath']       = cmsUrl('cms/page/tags',['pageNumber'=>'[PAGE]']);
        $info['pageSize']       = cmsPageSize(config('cms.limit_tags'));
        $info['pageNumber']     = DcEmpty($this->query['pageNumber'], $this->site['page']);
        $info['sortName']       = 'term_count desc,term_id';
        $info['sortOrder']      = 'desc';
        //数据列表
        $item = cmsTagSelect([
            'cache'   => true,
            'status'  => 'normal',
            'sort'    => $info['sortName'],
            'order'   => $info['sortOrder'],
            'limit'   => $info['pageSize'],
            'page'    => $this->site['page'],
        ]);
        if($item){
            $this->assign($item);
        }
        //变量赋值
        $this->assign($info);
        //加载模板
        return $this->fetch();
    }
    
    //最近更新
    public function news()
    {
        return $this->fetch();
    }
    
    //热门文章
    public function views()
    {
        return $this->fetch();
    }
    
    //属性－置顶文章
    public function top()
    {
        return $this->fetch();
    }
    
    //属性－推荐文章
    public function recommend()
    {
        return $this->fetch();
    }
    
    //属性－快审文章
    public function fast()
    {
        return $this->fetch();
    }
    
    //属性－头条文章
    public function head()
    {
        return $this->fetch();
    }
    
    //自定义
    public function _empty($name='')
    {
        $name = DcDirPath(DcHtml($name));
        if(is_file('./'.$this->site['path_view'].'page/'.$name.'.tpl')){
            return $this->fetch($name);
        }
        return $name;
    }
}